Detect Font Loading
===================

A JavaScript library adds class name to `html` element when font loaded.


USAGE
-----

If you want to detect "[Source Sans Pro][1]" loading, invoke this library by
adding following HTML and JavaScript code to HTML:

    <script src="detect-font-loading.js"></script>
    <script>
      DFL.detect('Source Sans Pro', 30000, 1000);
    </script>

If you call function with an array of font names, you can detect multiple fonts
at once:

    <script src="detect-font-loading.js"></script>
    <script>
      DFL.detect(['Foo', 'Bar', 'Buz']);
    </script>

Lastly, you need to apply CSS like [WebFont Loader][2]:

    .dfl-source_sans_pro body {
      font-family: "Source Sans Pro", sans-serif;
    }


DETAILS
-------

`DFL.detect()` function accepts one or more arguments:

  1. font name or font names in array
  2. detection timeout length in ms (optional, default value: 15000)
  3. detection interval length in ms (optional, default value: 500)

CSS class names are generated by:

  1. add `dfl-` prefix
  2. convert font name to lowercase
  3. replace spaces with underscore


LICENSE
-------

MIT: http://hail2u.mit-license.org/2013


[1]: http://en.wikipedia.org/wiki/Source_Sans_Pro
[2]: https://github.com/typekit/webfontloader
